# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'socialHub_httpUtility/version'


Gem::Specification.new do |spec|
  spec.name          = "socialHub_httpUtility"
  spec.version       = SocialHubHttpUtility::VERSION
  spec.authors       = ["AbdAllah Elabasery"]
  spec.email         = ["aElabasery@smartera3s.com"]

  spec.summary       = "httpUtility"
  spec.description   = "httpUtility that provides us to make getHttp request and post http Requests with headers"
  spec.homepage      = "https://gitlab.com/abdallaElabasery/socialHub_railsHttpUtility"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
 
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "uri", "~> 0"
  spec.add_development_dependency "net/http", "~> 0"
  spec.add_development_dependency "Time", "~> 0"
  spec.add_development_dependency "SecureRandom", "~> 0"
end
